<template>
  <ArticleList
    :articles="articles"
    :links="links"
    :fetch-articles="(link) => fetchArticles(link)"
  />
</template>

<script>
export default {
  layout: 'news',
  name: 'News',
  components: {
    ArticleList: () => import('~/components/Articles/ArticleList'),
  },
  async asyncData({ params, $axios }) {
    const articles = await $axios.$get('/article/posts')

    return {
      articles: articles.data,
      links: articles.links,
    }
  },
  methods: {
    async fetchArticles(link) {
      const articles = await this.$axios.$get(link)
      this.articles = [...this.articles, ...articles.data]
      this.links = articles.links
    },
  },
  head() {
    return {
      title: 'Tổng hợp tin tức',
      meta: [
        {
          hid: 'description',
          name: 'description',
          content: '',
        },
        {
          name: 'keywords',
          content: '',
        },
      ],
    }
  },
}
</script>
<style lang="scss" src="~/assets/css/article.scss"></style>
